/*	******************************************************************
	C++ STATIC CASTS
	******************************************************************
	-	This program demonstrates: 
		-	How Static Casts are applied in C++
		-	How they can be used to prevent common errors
	-	Note: There are also Dynamic Casts
		-	These are used in Polymorphism in Object Oriented 
			Programming
			-	Later in C++ Part 1 and in C++ Part 2
*/
#include <iostream>
#include <string>
using namespace std;

int main( )
{
	//
	int myInt_A = 11; 
	int myInt_B = 2;
	double myDbl_C = 0.0;

	// Applying the Static Casts
	myDbl_C = (static_cast<double>(myInt_A)) / ( static_cast<double>(myInt_B) );

	cout << myInt_A << " / " << myInt_B << " is " << myDbl_C << endl;


	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Static Casts" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
