/*	******************************************************************
	TERNARY OPERATOR ?:
	******************************************************************
	-	This program shows how to implement and use
		the If, Then, Else Clause using the ?: operator
	-	This is the only Ternary operator in C++
		-	Takes 3 inputs
*/
#include <iostream>
using namespace std;

int main( )
{
	//
	int batch_A = 5;
	int batch_B = 7;
	int min_ContainerCapacity = 0;

	//
	min_ContainerCapacity 
		= ( batch_A > batch_B ) ? ( batch_A ) : ( batch_B );

	cout << "The smallest container size required to fit batches" 
		 << " of size " << batch_A << " or " << batch_B << " is " 
		 << min_ContainerCapacity 
		 << endl;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Ternary ?: Operator" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
