/*	******************************************************************
	BREAK STATEMENT
	******************************************************************
	-	Demonstrating the usage of the Break Statement in C++
		-	This forces an exit from the BLOCK in which it is called
	-	In this case, it is called inside a for loop, on Iteration 9
		-	The for loop stops iterating now
*/
#include <iostream>
using namespace std;

int main( )
{
	//
	for( int i = 0; i < 12; ++i )
	{
		cout << "Starting iteration " << i << "\t";
		if( i == 9 )
		{
			break;
		}
		cout << "Ending iteration " << i << endl;
	}

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << endl << "END...C++ Demo Break statement" << endl
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
