/*	******************************************************************
	C++ Functions, Inputs, No Output
	******************************************************************
	-	This program shows how to 
		-	Define
		-	Declare
		-	Call
		functions with 
		-	Inputs
		-	No Output 
*/
#include <iostream>
#include <string>
using namespace std;


//
// Function DECLARATIONS i.e. Function SIGNATURES
//
void greet_English_Name( string );
void greet_Bengali_Name( string  );
void greet_Bengali_Name_Multiple( string, int );




int main( )
{
	//
	string name_person_01 = "John";
	string name_person_02 = "Mary";
	string name_person_03 = "Rachel";
	int myInt_A = 5;

	//
	//	Function INVOCATIONS with input VALUES
	//
	greet_English_Name( name_person_01 );	
	greet_English_Name( "Jagdice" );

	greet_Bengali_Name( name_person_02 );
	greet_Bengali_Name( "Pedro" );

	greet_Bengali_Name_Multiple( name_person_03, myInt_A );
	greet_Bengali_Name_Multiple( "Miranda", 7 );


	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Functions, Inputs, No Output" 
		 << " " 
		 << endl;
	while(true){} // While loop: 
	return 0;
}

//
// Function DEFINITIONS

//
void greet_English_Name( string name_IN )
{
	cout << endl << "------------" << endl;
	cout << "Hello " << name_IN << ", how are you?" << endl;

}//END...Function greet_English_Name

//
void greet_Bengali_Name( string name_IN )
{
	cout << endl << "------------" << endl;
	cout << "Namaskar " << name_IN << ", kamon acho?" << endl;

}//END...Function greet_Bengali_Name

//
void greet_Bengali_Name_Multiple( string name_IN, int num_Times )
{
	cout << endl << "------------" << endl;
	for( int i = 1; i < ( num_Times + 1 ); ++i )
	{
		cout << "For the " << i << "th time:" 
			 << " Namaskar " << name_IN 
			 << ", kamon acho?" 
			 << endl;
	}

}//END...Function greet_Bengali_Name_Multiple

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
