/*	******************************************************************
	C++ Functions, Inputs, Output
	******************************************************************
	-	This program shows how to 
		-	Define
		-	Declare
		-	Call
		functions with 
		-	Inputs
		-	An Output 
*/
#include <iostream>
using namespace std;

//
// Function DECLARATION i.e. Function SIGNATURE
//
int calc_TotalCost( int, int );


//
int main()
{
	int cost_Ticket_LondonOlympic_Cycling = 100;
	int size_SmithTours_Group = 34;
	int cost_Cycling_Event = 0;

	// Function CALL
	cost_Cycling_Event = calc_TotalCost( size_SmithTours_Group, cost_Ticket_LondonOlympic_Cycling );

	
	// Displaying the result
	cout	<< "Proposed London Olympic Tour, cycling event: "
			<< "for " << size_SmithTours_Group << " people, " 
			<< "each ticket costing GBP " 
			<< cost_Ticket_LondonOlympic_Cycling 
			<< ", the total cost will be GBP " 
			<< cost_Cycling_Event 
			<< endl;


	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Functions, Inputs, Output" 
		 << " " 
		 << endl;
	while(true){} 
	return 0;
}


//
// Function DEFINITION

//
int calc_TotalCost( int num_Tickets_In, int cost_PerTicket_In )
{
	int totalCost = 0;
	totalCost = num_Tickets_In * cost_PerTicket_In;

	return (totalCost);

}//END...Function calc_TotalCost

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
