/*	******************************************************************
	DEMO: STATIC GLOBAL VARIABLE
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

//	OK
extern string joeBloggs_OfficeLocation;

//	LINKER ERROR
//	joeBloggs_HomeLocation is STATIC in the file ContactDetails.cpp
//	-	Thus it cannot be accessed here, or anywhere else outside 
//		that file
extern string joeBloggs_HomeLocation;

int main()
{
	//
	//	OK - joeBloggs_OfficeLocation is in another file in this
	//	project and is not static
	cout << "Joe Bloggs works in " << joeBloggs_OfficeLocation 
		 << endl;

	//	LINKER ERROR
	//	Attempting to use a variable defined as static in another
	//	file
	cout << "Joe Bloggs lives in " << joeBloggs_HomeLocation 
		 << endl;



	//
	cout << endl << endl << "=======================" 
		 << endl 
		 << "END...Demo, Extern" 
		 << endl;
	while(true){} 
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

