#include "TaxCalculations.h"


double calc_TaxRate( Client client_IN_A )
{
	double taxRate = 0.0;
	if( client_IN_A.salary_Gross < TAX_THESHOLD_LOWER )
	{
		taxRate = TAX_RATE_LOWER;
	}
	else if( client_IN_A.salary_Gross < TAX_RATE_INTERMEDIATE )
	{
		taxRate = TAX_RATE_INTERMEDIATE;
	}
	else
	{
		taxRate = TAX_RATE_UPPER;
	}
	return taxRate;

}// END...Function calc_TaxRate

double calc_Salary_Net( Client client_IN_A )
{
	double taxAmount = client_IN_A.salary_Gross * client_IN_A.tax_Rate;
	double salary_Net = client_IN_A.salary_Gross - taxAmount;
	return salary_Net;


}// END...Function calc_TaxRate

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

