/*	******************************************************************
	ARRAYS IN C++
	******************************************************************
	-	This file demonstrates using Arrays in C++
	-	DEFINING an Array: 2 methods
		(1)	Define and Initialise separately
		(2)	Define and Initialise on the same line
	-	Writing Data to an Array
	-	Reading Data from an Array
*/
#include <iostream>
#include <string>

using namespace std;

int main( )
{
	//
	// METHOD (1)	Define and Initialise separately
	int myArrInt_A[4];	// Definition
	for( int i = 0; i < 4; ++i )	// Initialising using a for loop
	{								
		myArrInt_A[i] = 0;
	}
		//	Cowardly method!:-) Far better to use STL Iterators
		//						-	Cybernetics in C++ - Expert						

	//
	// METHOD (2)	Define and Initialise on the same line
	string arrStr_Greeting[] = { "Hello,", "how", "are", "you", "?" };


	//
	//	WRITING Data to the Array - use []
	//
	myArrInt_A[3] = 25;
	myArrInt_A[1] = 4;
	myArrInt_A[2] = 12;
	myArrInt_A[0] = 27;

	//
	//	READING Data to the Array - again use []
	//
	cout << "The 3rd element of myArrInt_A is " 
		 << myArrInt_A[2] << endl;

	//================================================================
	cout << "Contents of myArrInt_A: [ ";
	for( int i = 0; i < 4; ++i)
	{
		cout << myArrInt_A[i] << " ";
	}
	cout << "]" << endl;

	//================================================================
	cout << "Contents of arrStr_Greeting: [ ";
	for( int i = 0; i < 5; ++i)
	{
		cout << arrStr_Greeting[i] << " ";
	}
	cout << "]" << endl;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Arrays" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
