/*	******************************************************************
	POINTERS DEMO
	******************************************************************
*/
#include <iostream>
using namespace std;

int main( )
{
	int myInt_A = 5;
	int myInt_B = 16;

	//
	//	Definition & Initial Assignment
	//	-	Can be performed on different  
	//		lines for Pointers
	//
	int *ptrInt_myInt_A;
	ptrInt_myInt_A = &myInt_A;

	//==========================================
	//	- Better to perform on the same line
	//
	int *ptrInt_myInt_B = &myInt_B;

	//
	//	DECODING
	//
	cout << "Value, myInt_A: " 
		 << myInt_A << endl;
	cout << "Value, "
		 << "contents of ptrInt_myInt_A: " 
		 << *ptrInt_myInt_A << endl;

	//
	//	FURTHER ASSIGNMENT 
	//	- allowed for Pointers
	//
	ptrInt_myInt_A = &myInt_B;

	//
	cout << endl << endl << "===========" 
		 << endl << "END...C++ Demo: Pointers"
		 << endl;
	while(true){} 
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
