/*	******************************************************************
	C++: FUNCTION (EFFECTIVELY) RETURNING AN ARRAY
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

char *greeting_DifferentLanguages( char  );

int main()
{
	//
	cout << greeting_DifferentLanguages('F');
	cout << endl;
	cout << greeting_DifferentLanguages('G');
	cout << endl;
	cout << greeting_DifferentLanguages('P');
	cout << endl;
	//
	cout << endl << endl << "=======================" 
		 << endl 
		 << "END...Demo, Function effectively returning an array"
		 << endl;
	while(true){} 
	return 0;

}//END...Function MAIN

/*	FUNCTION: 
	-	Effectively returns an array, by returning a pointer
	-	Returns a different greeting ( array of chars )
		depending on the user input
*/
char *greeting_DifferentLanguages( char selectedLanguage_IN )
{
	static char greeting_English[] = {"Hello, how are you?"};
	static char greeting_French[] = {"Bonjour, comment allez vous?"};
	static char greeting_German[] = {"Guten Tag, wie geht es Ihnen?"};

	if( selectedLanguage_IN == 'F' )
	{
		return greeting_French;
	}
	else if( selectedLanguage_IN == 'G' )
	{
		return greeting_German;
	}
	else
	{
		return greeting_English;
	}
}//END...Function greeting_DifferentLanguages

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
