/*	******************************************************************
	C++: "SIZEOF" OPERATOR ON ARRAYS AND POINTERS
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

int main()
{
	//
	int myInt_A = 5;
	int *ptrInt_myInt_A = &myInt_A;
	int myArrInt_A[] = { 4, 34, 23, 86, 23, 7 };
	int myArrInt_B[] = { 12, 45, 23, 34, 3, 34 };

	//
	//	OPERANDS TO SIZEOF
	//
	int size_myInt_A = sizeof( myInt_A );
	int size_ptrInt_myInt_A = sizeof( ptrInt_myInt_A );
	int size_myArrInt_A = sizeof( myArrInt_A );

	cout << "The size of myInt_A is " 
		 << size_myInt_A << " bytes." << endl;
	
	// Size of an INDIVIDUAL POINTER
	cout << "The size of ptrInt_myInt_A is " 
		 << size_ptrInt_myInt_A << " bytes." << endl;
	
	// Size of an ENTIRE ARRAY
	cout << "The size of myArrInt_A is " 
		 << size_myArrInt_A << " bytes." << endl;

	//
	cout << endl << endl << "=======================" 
		 << endl 
		 << "END...Demo, Using sizeof Operator" 
		 << endl;
	while(true){} 
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
