/*	******************************************************************
	Structures in C++
	******************************************************************
	-	Defining the ADT Struct
	-	Instatiating and Using Structs
*/
#include <iostream>
#include <string>
using namespace std;


struct Employee
{
	string name;
	string nINumber;
	double salary_Gross;
	double taxRate;
	double taxAmount;
	double salary_Net;
};

int main( )
{
	//
	Employee joeBloggs;

	/*	To ACCESS individual members of the struct, both
		-	setting and
		-	retrieving
		use the dot/period operator .
	*/

	// Setting joeBloggs's data 
	joeBloggs.name = "Joseph Bloggs";
	joeBloggs.salary_Gross = 20000.0;
	joeBloggs.taxRate = 0.3;

	joeBloggs.taxAmount = joeBloggs.taxRate * 
								joeBloggs.salary_Gross;
	
	joeBloggs.salary_Net = joeBloggs.salary_Gross - 
							joeBloggs.taxAmount;

	// Retrieving joeBloggs's data
	cout << "Hello, my name is " << joeBloggs.name 
		 << " & my Net Salary is " << joeBloggs.salary_Net 
		 << endl;

	Employee johnSmith;
	Employee amandaTaylor;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: ADT: Struct" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

