/*	******************************************************************
	C++: OVERLOADED CONSTRUCTORS
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"

int main()
{
	//
	// Creating an OBJECT joeBloggs
	cout << endl << "===============" << endl 
		 << "Creating Objects on the runtime Stack..." 
		 << endl;

	Employee joeBloggs("Joseph Bloggs");
	joeBloggs.greet_Name();

	Employee johnSmith("John Smith", "GH 56 34 29 D");
	johnSmith.greet_Name_NINumber();

//	Employee peterWarner("Peter Warner", "GH 56 34 29 D", "Accounts" );
	// ...ERROR: No Constructor which takes 3 string inputs

	//
	cout << endl << "===============" << endl 
		 << "END...C++ Demo: Overloading Constructors " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

