/*	******************************************************************
	C++: MULTIPLE OVERLOADED CONSTRUCTORS
	******************************************************************
*/

#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"

int main()
{
	//
	// Creating OBJECTS
	cout << endl << "===============" << endl 
		 << "Creating Objects on the runtime Stack..." 
		 << endl;

	Employee joeBloggs("Joseph Bloggs", "PH 24 25 67 G", 18000.0 );
	joeBloggs.greet_AllAttributes();

	Employee johnSmith("John Smith", "GH 56 34 29 D", 23000.0 );
	johnSmith.greet_AllAttributes();

	Employee amandaTaylor("Amanda Taylor", "RG 35 23 56 T", 25500.0);
	amandaTaylor.greet_AllAttributes();


	//
	cout << endl << "===============" << endl 
		 << "END...C++ Demo: Overloading & Using Constructors " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

