/*	******************************************************************
	STATIC DATA MEMBER
	******************************************************************
	-	This program demonstrates the Implementation & Usage of a
		STATIC Data Member in C++
		-	i.e. Class Specific
			-	All Objects of a Class have the SAME Value
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"

int main()
{

	cout << endl
		 << "============" << endl
		 << "Object joeBloggs being created"
		 << endl;
	Employee joeBloggs( "Joseph Bloggs", "PH 45 67 34 D", 17000.0 );
	joeBloggs.greet_Name_SalaryGross();
	cout << "The current number of employees is, "
		 << "accessing from joeBloggs: " 
		 << joeBloggs.get_num_Employees() 
		 << endl;

	cout << endl
		 << "============" << endl 
		 << "Object johnSmith being created"
		 << endl;
	Employee johnSmith( "John Smith", "GH 67 34 67 D", 18000.0 );
	johnSmith.greet_Name_SalaryGross();
	
	cout << "The current number of employees is, "
		 << "accessing from joeBloggs:  " 
		 << joeBloggs.get_num_Employees() 
		 << endl;
	cout << "The current number of employees is, "
		 << "accessing from johnSmith: " 
		 << johnSmith.get_num_Employees() 
		 << endl;

	cout << endl
		 << "============" << endl 
		 << "Object amandaTaylor being created"
		 << endl;
	Employee amandaTaylor( "Amanda Taylor", "SG 36 78 24 F", 22000.0 );
	amandaTaylor.greet_Name_SalaryGross();

	cout << "The current number of employees is, "
		 << "accessing from joeBloggs:  " 
		 << joeBloggs.get_num_Employees() 
		 << endl;
	cout << "The current number of employees is, "
		 << "accessing from johnSmith: " 
		 << johnSmith.get_num_Employees() 
		 << endl;
	cout << "The current number of employees is, "
		 << "accessing from amandaTaylor: " 
		 << amandaTaylor.get_num_Employees() 
		 << endl;


	//
	cout << endl << "===============" << endl 
		 << "END...C++ Demo: Static Data Member" 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN 

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

