#include <iostream>
#include <string>
using namespace std;

#ifndef EMPLOYEE_H
#define EMPLOYEE_H


const double TAXRATE_THRESHOLD_LOWER = 20000.0;
const double TAXRATE_THRESHOLD_INTERMEDIATE = 25000.0;

const double TAXRATE_RATE_LOWER = 0.3;
const double TAXRATE_RATE_INTERMEDIATE = 0.4;
const double TAXRATE_RATE_HIGHER = 0.5;


// Class DECLARATION
class Employee
{
	// DATA MEMBERS
	private:
		string name;
		string nI_Number;
		double salary_Gross;
		double tax_Rate;
		double tax_Amount;
		double salary_Net;

	// MEMBERS FUNCTIONS
	public:
		// ---------- CONSTRUCTOR(S) ------------
		Employee();
		Employee( string );
		Employee( string, string );
		Employee( string, string, double );

		// ---------- "NORMAL" Member Funcrtions ------------
		void greet();
		void greet_Name();
		void greet_Name_NINumber();
		void greet_Name_SalaryGross();
		void greet_AllAttributes();


};//END...Class Declaration Employee

#endif

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

