/*	******************************************************************
	IMPLICIT CONVERSIONS - PROBLEMS, Lack of EXPLICIT CONSTRUCTORS
	******************************************************************
	-	This program demonstrates
		-	Implicit Conversions which might take place without
			-	The Programmer's (i.e. your!:-)) intention
			-	Any Compiler feedback
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"
#include "Office.h"

void display_OfficeName( Office );

int main( )
{
	//
	Employee joeBloggs("Joseph Bloggs" );

	//	Calling using an Employee object, not Office
	//	-	Compiler allows it since Office has a Constructor
	//		which takes an Employee input
	//
	display_OfficeName( joeBloggs );

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: IMPLICIT Conversions" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

void display_OfficeName( Office office_IN )
{
	cout << "The Name of the Office: " 
		 << office_IN.get_name() << endl;

}//END...Function display_OfficeLocation

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

