/*	******************************************************************
	C++ FRIEND CLASSES 
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"
#include "Accountant.h"


int main()
{
	//
	Employee joeBloggs( "Joseph Bloggs", "PH 45 67 34 D", 17000.0 );
	Employee johnSmith( "John Smith", "GH 67 34 67 D", 18000.0 );
	Employee amandaTaylor( "Amanda Taylor", "SG 36 78 24 F", 22000.0 );

	//
	Accountant peterJohnson( "Peter Johnson" );
	peterJohnson.display_Employee_Salary( joeBloggs );
	peterJohnson.display_Employee_Salary( johnSmith );
	peterJohnson.display_Employee_Salary( amandaTaylor );

	//
	cout << endl << "===============" << endl 
		 << "END...C++ Demo: Friend Classes " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
