/*	******************************************************************
	C++ OPERATOR OVERLOADING: BINARY OPERATORS
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"


int main()
{
	//
	// Creating OBJECTS
	Employee susanWhitmore( 15000.0 );
	susanWhitmore.greet_Name_SalaryGross();

	Employee scottHamilton( 13000.0 );
	scottHamilton.greet_Name_SalaryGross();

	cout << endl
		 << "============" << endl 
		 << "Object creation: Employee employee_Total = "
		 << "susanWhitmore + scottHamilton:"
		 << endl;
	Employee employee_Total = susanWhitmore + scottHamilton;
	employee_Total.greet_salaryGross();


	//
	cout << endl << "===============" << endl 
		 << "END...C++ Demo: Overloading Binary Operators " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN


//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
