/*	******************************************************************
	INHERITANCE IN C++: SINGLE, IMPLEMENTATION
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"
#include "Manager.h"

void createOffice();

int main()
{
	createOffice();

	//
	cout << endl << "===============" << endl 
		 << "END...C++ Demo: Single Implementation Inheritance" 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN


void createOffice()
{
	//
	cout << "====== Creating Employee joeBloggs ========" << endl;
	Employee joeBloggs( "Joseph Bloggs", "PH 45 67 34 D", 17000.0 );
	joeBloggs.greet_Name_SalaryGross();
	//joeBloggs.name = "Joseph Bloggs Snr";	
		// ILLEGAL: name is protected; like private, 
		//			it cannot be accessed from here

	cout << endl 
		 << endl << "===== Creating Manager pierreHancock =======" 
		 << endl;
	Manager pierreHancock( "Pierre Hancock" );
	pierreHancock.greet_Name();

	//
	cout << endl 
		 << endl << "===== Creating Manager sheilaHemingway =======" 
		 << endl;
	Manager sheilaHemingway( "Sheila Hemingway", 
							 "FG 56 34 67 H", 
							 23000.0 );
	sheilaHemingway.greet_Name_SalaryGross();


}//END...Function createOffice

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
