#include "Bear.h"
#include "CartoonCharacter.h"

#ifndef CARTOONBEAR_H
#define CARTOONBEAR_H

class CartoonBear 
	: public Bear, public CartoonCharacter
{
	private:
		string name;

	public:
		CartoonBear( string );
		void greet_CartoonBear();
		void greet_Bear();
		void greet_Cartoon();
		
};//END...Class Declaration CartoonBear

#endif

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
