#include "ArrayTester.h"
#include "Exception_Array_OutOfBoundsAccess.h"

// ********** CONSTRUCTOR(S) **********
ArrayTester::ArrayTester()
{
	elem_index = 0;
	elem_value = 0;

	for( int i = 0; i < 5; ++i )
	{
		myIntArr_A[i] = 0;
	}

}//END...Constructor: Default

// ********** NORMAL MEMBER FUNCTION(S) **********
void ArrayTester::enter_Data()
{
	try
	{
		insert_Data();
		myIntArr_A[elem_index] = elem_value;

	}
	catch( Exception_Array_OutOfBoundsAccess& 
			ref_Exception_Array_OutOfBoundsAccess  
			)
	{
			cout << endl << "Exception occurred: " 
					<< ref_Exception_Array_OutOfBoundsAccess.what() 
					<< endl;
	
	}//End...try, catch requesting user input
		
		
}//END...Member Function enter_Data

void ArrayTester::insert_Data(  )
	throw(Exception_Array_OutOfBoundsAccess)
{
	cout << "Please enter an index" << endl;
	cin >> elem_index;

	cout << "Please enter an element" << endl;
	cin >> elem_value;

	if( elem_index >= 4 )
	{
		throw Exception_Array_OutOfBoundsAccess();
	}
		
}//END...Member Function insert_Data

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

