/*	******************************************************************
	WRITING to Text Files - APPENDING
	******************************************************************
	-	This program writes data to a .txt file, using the ostream
		library in C++
	-	It then APPEND the data in that file by recalling the
		open member function 
		-	with its Append Flag "ios::app" set
	-	The Path & Filename are specified
*/
#include <iostream>
#include <fstream>
#include <string>
using namespace std;

int main( )
{
	//
	ofstream my_Txt_File_Write_Append;
	my_Txt_File_Write_Append.open("C:\\Users\\YourName\\Desktop\\exampleFile_Write_Append.txt" );
	my_Txt_File_Write_Append<< "Writing this to a file.\n";
	my_Txt_File_Write_Append<< "Hello, how are you?"<< endl;
	my_Txt_File_Write_Append<< "London is the Capital of the UK"
							<< endl;
	my_Txt_File_Write_Append<< "Washington DC is the Capital of the USA" 
					<< endl<< endl;
	my_Txt_File_Write_Append.close();

	my_Txt_File_Write_Append.open
		("C:\\Users\\YourName\\Desktop\\exampleFile_Write_Append.txt", ios::out | ios::app );
	my_Txt_File_Write_Append<< "Bonjour, comment allez vous?" 
					<< endl;
	my_Txt_File_Write_Append<< "Paris, c'est la Capital de France"
					<< endl;
	my_Txt_File_Write_Append.close();

	//
	cout	<< endl<< endl<< "===========" 
		<< endl 
		<< "END...C++ Demo: Write text data to a text file, with "
		<< "specified path, then APPEND"
		<< " " 
		<< endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

