/*	******************************************************************
	C++: CLASS TEMPLATES
	******************************************************************
*/
#include <iostream>
using namespace std;

#include "Stack.h"

int main( )
{
	//
	cout << endl
		 << "===========================================" << endl 
		 << "Stack of INTEGERS" << endl
		 << "===========================================" << endl;
	Stack<int> myIntStack_A;

	//================================================================
	cout << "Pushing myIntStack, element: 1" 
		 << endl;
	myIntStack_A.push(1);

	cout << "Pushing myIntStack, element: 2" 
		 << endl;
	myIntStack_A.push(2);

	cout << "Pushing myIntStack, element: 3" 
		 << endl;
	myIntStack_A.push(3);

	cout << "Pushing myIntStack, element: 4" 
		 << endl;
	myIntStack_A.push(4);

	//================================================================
	cout << "Popping myIntStack, latest element: " 
		 << myIntStack_A.pop() 
		 << endl;

	cout << "Popping myIntStack, latest element: " 
		 << myIntStack_A.pop() 
		 << endl;

	cout << "Popping myIntStack, latest element: " 
		 << myIntStack_A.pop() 
		 << endl;

	cout << "Popping myIntStack, latest element: " 
		 << myIntStack_A.pop() 
		 << endl;

	//
	cout << endl
		 << "===========================================" << endl 
		 << "Stack of DOUBLES" << endl
		 << "===========================================" << endl;
	Stack<double> myDblStack_A;

	//================================================================

	cout << "Pushing myIntStack, element: 9.23" 
		 << endl;
	myDblStack_A.push(9.23);

	cout << "Pushing myIntStack, element: 2.235" 
		 << endl;
	myDblStack_A.push(2.235);

	cout << "Pushing myIntStack, element: 25.1236" 
		 << endl;
	myDblStack_A.push(25.1236);

	cout << "Pushing myIntStack, element: 129.3" 
		 << endl;
	myDblStack_A.push(129.3);

	//================================================================
	cout << "Popping myDblStack_A, latest element: " 
		 << myDblStack_A.pop() 
		 << endl;

	cout << "Popping myDblStack_A, latest element: " 
		 << myDblStack_A.pop() 
		 << endl;

	cout << "Popping myDblStack_A, latest element: " 
		 << myDblStack_A.pop() 
		 << endl;

	cout << "Popping myDblStack_A, latest element: " 
		 << myDblStack_A.pop() 
		 << endl;


	//
	cout << endl
		 << "===========================================" << endl 
		 << "Stack of CHARS" << endl
		 << "===========================================" << endl;
	Stack<char> myCharStack_A;

	//================================================================
	cout << "Pushing myIntStack, element: e" 
		 << endl;
	myCharStack_A.push('e');

	cout << "Pushing myIntStack, element: s" 
		 << endl;
	myCharStack_A.push('s');

	cout << "Pushing myIntStack, element: a" 
		 << endl;
	myCharStack_A.push('a');

	cout << "Pushing myIntStack, element: c" 
		 << endl;
	myCharStack_A.push('c');

	//================================================================
	cout << "Popping myCharStack_A, latest element: " 
		 << myCharStack_A.pop() 
		 << endl;

	cout << "Popping myCharStack_A, latest element: " 
		 << myCharStack_A.pop() 
		 << endl;

	cout << "Popping myCharStack_A, latest element: " 
		 << myCharStack_A.pop() 
		 << endl;

	cout << "Popping myCharStack_A, latest element: " 
		 << myCharStack_A.pop() 
		 << endl;

	//
	cout << endl << "===================" 
		 << endl << "END...Demo C++ Class Templates Demo" 
		 << endl;
	while(true){}
	return 0;

}//END...Function main

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
