#pragma once

//####################################################################
template<typename T, typename U, int I> 
class myClass
{
	public: 
	void myMemFunc() 
	{ 
		cout << "Generic template invoked" 
			 << endl; 
	} 
};

//####################################################################
template<typename T, int I> 
class myClass<T*, T, I>
{
	public: 
		void myMemFunc() 
		{
			cout << "Partial specialization 1 invoked" 
				 << endl;
		} 
};

//####################################################################
template<typename T, typename U, int I> 
class myClass<T*, U, I>
{ 
	public: 
		void myMemFunc() 
		{
			cout << "Partial specialization 2 invoked" 
				 << endl;
		} 
};

//####################################################################
template<typename T> 
class myClass<int, T*, 10>
{
	public: 
		void myMemFunc() 
		{
			cout << "Partial specialization 3 invoked" 
				 << endl;
		} 
};

//####################################################################
template<typename T, typename U, int I> 
class myClass<T, U*, I>
{
	public: 
		void myMemFunc() 
		{
			cout << "Partial specialization 4 invoked" 
				 << endl;
		} 
};

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
