/*	******************************************************************
	C STYLE CASTS	
	******************************************************************
	-	This program demonstrates Type Casting, using the C 
		Programming style
		-	Note that only STATIC Casts are supported in C
	-	Treat this section as Reference Material
		-	Going forwards, avoid these in C++
		-	Give preference to the C++ Static Casts
*/
#include <iostream>
#include <string>
using namespace std;

int main( )
{
	//
	int myInt_A = 11; 
	int myInt_B = 2;
	double myDbl_C = 0;

	// (double)myInt_C;
	myDbl_C = ( (double)myInt_A ) / ( (double)myInt_B );

	cout << myInt_A << " / " << myInt_B << " is " << myDbl_C << endl;



	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: C Style Casts" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
