/*	******************************************************************
	C++ INCREMENT OPERATORS: Pre Increment and Post Increment
	******************************************************************
	-	This program demonstrates the usage of the C++ Increment
		operators
		-	PreIncrement	++variableName
		-	PostIncrement	variableName++
		showing their Similarities and Differences
	-	Both Add 1 to the Operand
		-	PreIncrement
			-	Uses the Old/Current Value
			-	Then Increments
		-	PostIncrement
			-	Increments
			-	Then Uses the New Value
*/
#include <iostream>
#include <string>
using namespace std;

int main( )
{
	//
	int a = 3, b = 7,
		p = 0, q = 0, s = 0, t = 0;

	cout << "=======================================" << endl;
	cout << "Initial Values " << endl;
	cout << "=======================================" << endl;
	cout << "a = " << a << endl;
	cout << "b = " << b << endl;
	cout << "p = " << p << endl;
	cout << "q = " << q << endl;
	cout << "s = " << s << endl;
	cout << "t = " << t << endl;
	cout << endl;

	//
	//	Performing the Increments
	//	-	What values will p, q, s and t have after these 
	//		zoperations
	//
	p = a++;
	q = a;
	s = ++b;
	t = b;

	//
	cout << "=======================================" << endl;
	cout << "New Values " << endl;
	cout << "---------------------------------------" << endl;
	cout << "Performing the actions:" << endl;
	cout << "p = a++;" << endl;
	cout << "q = a;" << endl;
	cout << "s = ++b;" << endl;
	cout << "t = b;" << endl;
	cout << "---------------------------------------" << endl;
	cout << "a = " << a << endl;
	cout << "b = " << b << endl;
	cout << "p = " << p << endl;
	cout << "q = " << q << endl;
	cout << "s = " << s << endl;
	cout << "t = " << t << endl;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Pre & Post Increments" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

/*	******************************************************************
	NB This has been given for demonstration purposes only
	-	Avoid writing code where unnecessary multiple actions take
		place per line
	******************************************************************
*/

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
