/*	******************************************************************
	WHILE LOOP
	******************************************************************
	-	This program shows how to implement and use
		While Loops		
*/
#include <iostream>
#include <math.h>
using namespace std;

int main( )
{
	//
	cout << "This program finds the lowest square number "
		 << "above 158600: " 
		 << endl;	
	double currentNum = 158600.0;

	//
	//	Test: Is the square root of the number an INTEGER
	//	-	Starting at 158600.0, keep iterating
	//	-	Calculate the square root
	//		-	Test if it is an integer by subtracting the 
	//			"floor" - the rounded down part of the number
	//			floor(3.95) = 3, floor(5.2) = 5, floor(7.0) = 7
	//	-	Condition: Keep iterating till this condition is met
	//
	while(((sqrt(currentNum) ) - ( floor( sqrt( currentNum )))) != 0)
	{
		++currentNum;
	}
	cout << currentNum << " = " << sqrt(currentNum) << "^2" << endl;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: While Loop" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
