/*	******************************************************************
	DO LOOP/ DO WHILE LOOP
	******************************************************************
	-	This program shows how to implement and use
		Do Loops/Do...While Loops
		-	Displays a "Home" Menu, with language options
			-	User chooses either a language or to Quit
			-	If a language is chosen, Hello is displayed in 
				that language
				-	The program then returns to displaying
					the Home Menu
			-	If Quit is chosen
				-	The program ends
*/
#include <iostream>
using namespace std;

int main( )
{
	char option_User_Language = ' ';

	do
	{
		// "Home" Menu
		cout << "Please select a language" << endl;
		cout << "(E)\t English" << endl;
		cout << "(B)\t Bengali" << endl;
		cout << "(F)\t French" << endl;
		cout << "(G)\t German" << endl;
		cout << "(S)\t Spanish" << endl;
		cout << "(Q)\t Quit" << endl;

		// Activity selected by user
		cin >> option_User_Language;

		switch( option_User_Language )
		{
			case 'E':
				cout << "Hello" << endl;
				break;

			case 'B':
				cout << "Namaskar" << endl;
				break;

			case 'F':
				cout << "Bonjour" << endl;
				break;
		
			case 'G':
				cout << "Guten Tag" << endl;
				break;
		
			case 'S':
				cout << "Hola" << endl;
				break;
		
			case 'Q':
				cout << "You have chosen to End this program..."
					 << endl;
				break;
		
			default:
				cout << "Sorry, your input is not recognised"
					 << endl;
				break;

		}// END: switch( option_User_Language )
	
	}
	while( option_User_Language != 'Q' );


	//==============================================================
	cout << endl
		 << "=============="
		 << endl << "END...C++ Demo Do Loops" << endl;
	while(true){} // While loop: 
	return 0;

}// END: MAIN Function

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
