/*	******************************************************************
	GOTO Statement - Avoid in C and C++
	******************************************************************
*/
#include <iostream>
using namespace std;

int main( )
{
	//
	cout << "======== Goto Statement: Single Action ========" 
		 << endl;

	goto myGreeting;
	cout << "Sorry, this greeting is never reached" << endl;
	myGreeting: 
		cout << "Hello, my Greeting has been reached" 
			 << endl << endl;

	//
	cout << "======== Goto Statement: Multiple Actions ========" 
		 << endl;

	int i = 1;
	repeat: 
		cout << i << ")\tHello"  << endl;
		++i;
		if( i < 12 )
		{
			goto repeat;
		}

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: goto Statement - Avoid in C and C++" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
