/*	******************************************************************
	FUNCTIONS WITH DEFAULT INPUT PARAMETERS
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

void greet_English_French(	int num_EnglishGreetings = 3, 
							int num_FrenchGreetings = 2
						 );


int main( )
{
	//
	cout << "==========================================="	<< endl 
		 << "Default Values: 3 for English, 2 for French"	<< endl
		 << "greet_English_French();"						<< endl
		 << "==========================================="	<< endl;
	greet_English_French();

	//
	cout << "==========================================="	<< endl 
		 << "Chosen values" << endl
		 << "==========================================="	<< endl;

	cout << "------------------------------------"		<< endl 
		 << "7 for English,Default 2 for French "		<< endl
		 << "greet_English_French( 7 );"			<< endl
		 << "------------------------------------"		<< endl;
	greet_English_French( 7 );
	cout << endl;

	cout << "---------------------------------"			<< endl 
		 << "7 for English, 5 for French"			<< endl
		 << "greet_English_French( 7, 5  ) ;"			<< endl
		 << "---------------------------------"		<< endl;
	greet_English_French( 7, 5 );
	cout << endl;


	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Functions with Default Input Values" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN



void greet_English_French(	int num_EnglishGreetings, 
							int num_FrenchGreetings
						 )
{
	for( int i = 0; i < num_EnglishGreetings; ++i )
	{
		cout << ( i + 1 )  << ")\t Hello" << endl;
	}

	for( int i = 0; i < num_FrenchGreetings; ++i )
	{
		cout << ( i + 1 )  << ")\t Bonjour" << endl;
	}

}//END...Function greet_English_French

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
