/*	******************************************************************
	C STYLE MACROS
	******************************************************************
	-	This program shows how to implement and use
		C style Macros
	-	Avoid wherever possible in C++
*/
#include <iostream>
using namespace std;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// MACRO
//
#define CALC_DOUBLE(x) x+x


//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
int main()
{
	int my_Int_A = 7;
	double my_Dbl_A = 5.84;

	cout << my_Int_A << " doubled is " << CALC_DOUBLE(my_Int_A) 
		 << endl;

	cout << my_Dbl_A << " doubled is " << CALC_DOUBLE(my_Dbl_A) 
		 << endl;


	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...Demo: C Macros - avoid wherever possible in C++" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

