#include "InterestCalculations.h"


double calc_InterestRate( Client client_IN_A )
{
	double interestRate = 0.0;
	if( client_IN_A.salary_Gross < TAX_THESHOLD_LOWER )
	{
		interestRate = TAX_RATE_LOWER;
	}
	else if( client_IN_A.salary_Gross < TAX_RATE_INTERMEDIATE )
	{
		interestRate = TAX_RATE_INTERMEDIATE;
	}
	else
	{
		interestRate = TAX_RATE_UPPER;
	}
	return interestRate;

}// END...Function calc_InterestRate

double calc_BankBalance_Net( Client client_IN_A )
{
	double interestAmount = client_IN_A.bank_Balance_Gross * client_IN_A.interest_Rate;
	double bank_Balance_Net = client_IN_A.bank_Balance_Gross + interestAmount;
	return bank_Balance_Net;


}// END...Function calc_BankBalance_Net

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

