/*	******************************************************************
	ARRAYS AS FUNCTION INPUTS
	******************************************************************
	-	The following program demonstrates defining and using a 
		function which takes an array as its input
*/
#include <iostream>
#include <string>
using namespace std;

// Function DECLARATION
void set_FifthSixth_Elements( string[] );

int main( )
{
	//
	string arrStr_Greeting[] = { "Hello,", "how", "are", "you", "?", 
								 " ", " " };
	cout << "Contents of arrStr_Greeting: [ ";
	for( int i = 0; i < 7; ++i)
	{
		cout << arrStr_Greeting[i] << " ";
	}
	cout << "]" << endl;

	//
	cout << endl
		 << "...Calling the function to set the 6th & 7th elements" 
		 << endl << endl;

	set_FifthSixth_Elements( arrStr_Greeting );

	//
	cout << "Contents of arrStr_Greeting: [ ";
	for( int i = 0; i < 7; ++i)
	{
		cout << arrStr_Greeting[i] << " ";
	}
	cout << "]" << endl;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Arrays as Function Inputs" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Function DEFINITION
void set_FifthSixth_Elements( string strArr_IN[] )
{
	strArr_IN[4] = "today";
	strArr_IN[5] = "?";

}//END...Function set_FifthSixth_Elements

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
