/*	******************************************************************
	C++ MULTIDIMENSIONAL ARRAYS
	******************************************************************
	-	This programs demonstrates
		-	Defining
		-	Using
		Multidimensional Arrays in C++
*/
#include <iostream>
#include <string>
using namespace std;

int main( )
{
	//
	//	DEFINITION & INITIALISATION
	//	-	Double [][] required
	//
	double flightTime_Dept_Arr[2][5];
	for( int i = 0; i < 2; ++i)
	{
		for( int j = 0; j < 5; ++j )
		{
			flightTime_Dept_Arr[i][j] = 0.0;
		}
	}

	//
	//	Populating the Multidimensional Array
	//
	flightTime_Dept_Arr[0][0] = 9.25;
	flightTime_Dept_Arr[1][0] = 12.35;

	flightTime_Dept_Arr[0][1] = 0.15;
	flightTime_Dept_Arr[1][1] = 11.15;

	flightTime_Dept_Arr[0][2] = 7.15;
	flightTime_Dept_Arr[1][2] = 12.15;

	flightTime_Dept_Arr[0][3] = 9.32;
	flightTime_Dept_Arr[1][3] = 13.55;

	flightTime_Dept_Arr[0][4] = 11.45;
	flightTime_Dept_Arr[1][4] = 19.45;


	//
	//	Disolaying the contents of the Multidimensional Array
	//
	cout << "Flight\t\t"; 
	for(int i = 0; i < 5; ++i )
	{
		cout << i << "\t";
	}
	cout << endl << "Departure:\t";
	for(int i = 0; i < 5; ++i )
	{
		cout << flightTime_Dept_Arr[0][i] << "\t";
	}

	cout << endl << "Arrival:\t";
	for(int i = 0; i < 5; ++i )
	{
		cout << flightTime_Dept_Arr[1][i] << "\t";
	}

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Multidimensional Arrays" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
