/*	******************************************************************
	PROBLEMS: LACK OF MEMORY MANAGEMENT
	******************************************************************
	-	Demonstrates the importance of Memory Management by 
		the problems with a lack of it
	-	Shows the famous "swap scenario"
		-	PROBLEM: The default is to pass by VALUE
	-	Fixing this problem: pass by
		-	Pointer
		-	Reference
*/
#include <iostream>
using namespace std;

// Function DECLARATIONS
void swap( int int_IN_A, int int_IN_B );


int main()
{
	//
	int myInt_A = 5, myInt_B = 7;
	cout << "Original values: " 
		 << "myInt_A = " << myInt_A 
		 << " and myInt_B = " << myInt_B 
		 << endl;

	//
	//	Attempting the swap
	swap( myInt_A, myInt_B );

	//
	cout << "Values after attempted swap: " 
		 << "myInt_A = " << myInt_A 
		 << " and myInt_B = " << myInt_B 
		 << endl;

	//
	cout << endl << "==========" 
		 << endl << "End...Demo, problems, lack of Memory Management"
		 << endl;
	while(true){}
	return 0;

}//END...Function Main

void swap( int int_IN_A, int int_IN_B )
{
	int temp = int_IN_A;
	int_IN_A = int_IN_B;
	int_IN_B = temp;

}//END...Function swap

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
