/*	******************************************************************
	ARRAY OF POINTERS
	******************************************************************
	-	Defining
	-	Populating
	-	Decoding
	an array of Pointers-to-int
*/
#include <iostream>
#include <string>
using namespace std;

int main( )
{
	//
	int capacity_London2012_Stadium = 80000;
	int capacity_London2012_Velodrome = 6000;
	int capacity_London2012_Aquatics = 17500;

	//
	//	Defining and Populating an Array of type Pointer-to-int
	//
	int *capacities_London2012_Venues[] 
		= {	&capacity_London2012_Stadium, 
			&capacity_London2012_Velodrome, 
			&capacity_London2012_Aquatics
		  };

	//================================================================
	cout << "The London 2012 venue capacities: " 
		 << "Olympic Stadium, Velodrome and Aquatics Centre" 
		 << " are as follows: " 
		 << endl;
	for( int i = 0; i < 3; ++i )
	{
		cout << *capacities_London2012_Venues[i] << " ";
	}

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Array Of Pointers" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
