/*	******************************************************************
	REFERENCES IN C++
	******************************************************************
	-	This program demonstrates the usage of References in C++
		-	Definition
		-	Populating
		-	Usage
*/
#include <iostream>
using namespace std;

int main()
{
	//
	int myInt_A = 7;
	double myDbl_B = 9;

	//
	//	DEFINING & Populating References
	//
	int& ref_myInt_A = myInt_A;
	double &ref_myDbl_B = myDbl_B;

	//
	//	DECODING References
	//
	cout << "The value of the Integer referred to by ref_myInt_A: " 
		 << ref_myInt_A << endl;
	
	cout << "The value of the Double referred to by ref_myDbl_B: " 
		 << ref_myDbl_B << endl;

	cout << "myInt_A = " << myInt_A << endl;
	cout << "myDbl_B = " << myDbl_B << endl;

	//
	cout << endl << "==============" 
		 << endl << "END...C++ Demo: What are References?" << endl;
	while(true){}
	return 0;
}//END...Function: main 

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
