/*	******************************************************************
	REFERENCES DEMO
	******************************************************************
*/
#include <iostream>
using namespace std;

int main( )
{
	int myInt_C = 7;
	int myInt_D = 48;

	//
	//	Definition & Initial Assignment
	//	-	Must be performed in the same 
	//		line for References
	//
	int& refInt_myInt_C = myInt_C;

	//
	//	DECODING
	//
	cout << "Value, myInt_C: " << myInt_C << endl;
	cout << "Value, contents of refInt_myInt_C: " 
		 << refInt_myInt_C << endl;


	//
	//	FURTHER ASSIGNMENT - NOT allowed 
	//						 for References
	//

	// refInt_myInt_C = myInt_D

	//	-	Does not reassign refInt_myInt_C
	//	-	Instead, it assigns 
	//		-	the value of myInt_D 
	//		-	to the contents of 
	//			refInt_myInt_C 
	//			-	i.e. myInt_C

	//
	cout << endl << endl << "===========" 
		 << endl << "END...C++ Demo: References" 
		 << endl;
	while(true){} 
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
