/*	******************************************************************
	C++ ARRAY OF POINTERS
	******************************************************************
*/
#include <iostream>
using namespace std;

int main()
{
	//
	int *arrPtrInt_A[5];
	for( int i = 0; i < 5; ++i )
	{
		arrPtrInt_A[i] = NULL;
	}
	// arrPtrInt_A should be [ 0, 2, 4, 6, 8 ]

//	*(arrPtrInt_A[0]) = 0;

	for( int i = 0; i < 5; ++i )
	{
		*(arrPtrInt_A[i]) = 2*i;
	}
	// arrPtrInt_A should be [ 0, 2, 4, 6, 8 ]

	//
	//	Accessing individual elements

	//	Using "Array Operators"
	cout << "The contents of the 4th element of arrPtrInt_A are " 
		 << *arrPtrInt_A[3]
		 << endl;

	//	Using "Pointer Operators"
	cout << "The contents of the 3rd element of arrPtrInt_A are " 
		 << *(*( arrPtrInt_A + 2 ))
		 << endl;
	
	//
	cout << endl << endl << "=======================" 
		 << endl 
		 << "END...Demo, Array of Pointers."
		 << endl;
	while(true){} 
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
