/*	******************************************************************
	C++: ASSIGNMENT OPERATOR, ARRAYS & POINTERS
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

int main()
{
	//
	int myInt_A = 5;
	int *ptrInt_myInt_A = &myInt_A;
	int myArrInt_A[] = { 4, 34, 23, 86, 23, 7 };

	cout << "Contents of myArrInt_A: [ " ;
	for( int i = 0; i < 6; ++i )
	{
		cout << myArrInt_A[i] << " ";
	}
	cout << "]" << endl << endl;

	//
	//	ASSIGNMENT
	//
//	myArrInt_A = myArrInt_B;		//	ILLEGAL -	cannot assign to 
//	myArrInt_A = ptrInt_myInt_A;	//	ILLEGAL		an array

	ptrInt_myInt_A = myArrInt_A;	//	OK - can assign to a pointer

	cout << "Contents of ptrInt_myInt_A: [" ;
	for( int i = 0; i < 6; ++i )
	{
		cout << ptrInt_myInt_A[i] << " ";
	}
	cout << "]" << endl;

	//
	cout << endl << endl << "=======================" 
		 << endl 
		 << "END...Demo, Using the Assignment Operator on Arrays"
		 << " & Pointers" 
		 << endl;
	while(true){} 
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
