/*	******************************************************************
	HEAP MEMORY CORRUPTION
	******************************************************************
	-	Demonstrates when Heap Memory is freed too early
		-	Garbage is output when attempting to access the 
			part of the heap which has been freed
*/
#include <iostream>
#include <string>
using namespace std;

int main( )
{
	//
	int myInt_Stack_A = 7;

	// Creating an int on the Heap, accessing it using a Pointer
	int *ptr_myInt_Heap_A = new int(17);
		
		// Some operations using ptr_myInt_Heap_A...

	delete ptr_myInt_Heap_A;

	cout << "The integer on the Heap, pointed to by ptr_myInt_Heap_A" 
		 << " is " << *ptr_myInt_Heap_A
		 << endl;
		// Will display garbage

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: Heap Memory Corruption" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
