/*	******************************************************************
	C STYLE UNIONS
	******************************************************************
	-	This program demonstrates creating and using the ADT: a UNION
*/
#include <iostream>
#include <string>
using namespace std;


union Timing
{
	int crudeTimimg;
	double preciseTiming;
};

int main( )
{
	//
	Timing marathonTime;

	marathonTime.crudeTimimg = 5;
	cout << "Crudely speaking, the marathon took " 
		 << marathonTime.crudeTimimg << " hours." 
		 << endl;

	marathonTime.preciseTiming = 4.75;
	cout << "More Precisely, the marathon took " 
		 << marathonTime.preciseTiming << " hours." 
		 << endl;

	//
	cout << endl 
		 << "A union can hold only ONE value at a time:" << endl;
	cout << "marathonTime.crudeTimimg = " 
		 << marathonTime.crudeTimimg << endl;
	cout << "marathonTime.preciseTiming = " 
		 << marathonTime.preciseTiming << endl;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: ADTs, C Style Unions" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

