/*	******************************************************************
	C STYLE ENUMS
	******************************************************************
	-	This program demonstrates creating and using the ADT: a ENUM
*/
#include <iostream>
#include <string>
using namespace std;

enum Day_Of_Week
{
	Sunday,
	Monday,
	Tuesday,
	Wednesday,
	Thursday,
	Friday,
	Saturday
};

int main( )
{
	//
	enum Day_Of_Week xmasDay_2012 =  Day_Of_Week(2);
	enum Day_Of_Week boxingDay_2012 =  Wednesday;
	
//	enum Day_Of_Week newYearsDay_2013 = fred;	// ILLEGAL
	//	fred is not an acceptable value

	cout << "Christmas Day 2012 will fall on a " 
		 << Day_Of_Week(xmasDay_2012)
		 << endl;

	cout << "Boxing Day 2012 will fall on a " 
		 << Day_Of_Week(boxingDay_2012)
		 << endl;

	//
	cout << endl << endl << "===========" 
		 << endl 
		 << "END...C++ Demo: ADTs, C Style Enums" 
		 << " " 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

