/*	******************************************************************
	C++: CLASSES DECLARED & DEFINED OVER DIFFERENT FILES
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"

int main()
{
	// Creating an OBJECT joeBloggs
	Employee joeBloggs;

	//	Accessing the members of the object

	//	(1)	DIRECTLY via the Object - use .DOT Operator
	joeBloggs.greet();	//	OK - greet() is PUBLIC

	// joeBloggs.name = "Joseph Bloggs";	
		//	ILLEGAL - name is PRIVATE


	//	(2)	Via a POINTER - use ARROW -> Operator
	Employee *ptr_joeBloggs = &joeBloggs;
	ptr_joeBloggs -> greet();

	// ptr_joeBloggs -> nI_Number = "GH 78 34 56 V"	
		//	ILLEGAL - nI_Number is PRIVATE

	//	(3)	Via a REFERENCE - again  - use .DOT Operator
	Employee& ref_joeBloggs = joeBloggs;
	ref_joeBloggs.greet();

	// ref_joeBloggs.salary_Gross = 17000.0;	
		//	ILLEGAL - salary_Gross is PRIVATE


	//
	cout << endl << "===============" << endl 
		 << "END...C++ Managing an OOP Program over Multiple Files" 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

