/*	******************************************************************
	CONSTRUCTORS IN C++
	******************************************************************
*/
#include <iostream>
#include <string>
using namespace std;

#include "Employee.h"

int main()
{
	//================================================================
	//	Creating an OBJECT on the runtime Stack, joeBloggs
	//
	cout << endl << "===============" << endl 
		 << "Creating an Object on the runtime Stack: joeBloggs..." 
		 << endl;

	Employee joeBloggs("Joseph Bloggs");
	joeBloggs.greet_Name();

	//================================================================
	//	Creating an OBJECT on the runtime Heap, accessed by the
	//	pointer ptr_beverleyShepherd
	//
	cout << endl << "===============" << endl 
		 << "Creating an Object on the runtime Heap: " 
		 << "accessed via ptr_beverleyShepherd..."
		 << endl;

	Employee *ptr_beverleyShepherd = new Employee("Beverley Shepherd");
	ptr_beverleyShepherd -> greet_Name();

	//================================================================
	cout << endl << "===============" << endl 
		 << "END...C++ Constructors Demo_01" 
		 << endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************

