#include <iostream>
#include <string>
using namespace std;

//#include "Accountant.h"

#ifndef EMPLOYEE_H
#define EMPLOYEE_H

// Class DECLARATION
class Employee
{
	// Data Members
	private:
		string name;
		string nI_Number;
		double salary_Gross;
		double tax_Rate;
		double tax_Amount;
		double salary_Net;

		// ---------- STATIC Data Member(s) ------------
		static int num_Employees;


	public:
		// ---------- CONSTRUCTORS ------------
		Employee( string name_IN );

		Employee(	string name_IN, 
					string nI_Number );

		Employee(	string name_IN, 
					string nI_Number, 
					double salary_Gross_IN );

		// ---------- DESTRUCTOR ------------
		~Employee(  );

		// ---------- MUTATORS ------------
		double get_salary_Gross(  ) const;
		void set_salary_Gross( double salary_Gross_IN );

		// ---------- STATIC MEMBER FUNCTION(S) ------------
		// ...also a Mutator
		static int get_num_Employees();


		//------- "Normal" Member Functions -------
		void greet();
		void greet_Name();
		void greet_Name_SalaryGross();

	friend class Accountant;

};

#endif

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
