#include "Animal.h"

#ifndef CAT_H
#define CAT_H

class Cat : public Animal		// Cat is a POLYMORPHIC Base class - it contains a VIRTUAL member function
{
	private:
	public:
		void greet();			//	greet() is NON-VIRTUAL
		virtual void sound();	//	sound() is VIRTUAL
};//END...Class Cat

#endif

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
