/*	******************************************************************
	WRITING to Text Files - OVERWRITING
	******************************************************************
	-	This program writes data to a .txt file, using the ostream
		library in C++
	-	It then OVERWRITES the data in that file by recalling the
		open member function in its DEFAULT state
	-	The Path & Filename are specified
*/
#include <iostream>
#include <fstream>
#include <string>
using namespace std;

int main( )
{
	//
	ofstream my_Txt_File_Write_Overwrite;
	my_Txt_File_Write_Overwrite.open
	 	 	 	 ("C:\\Users\\YourName\\Desktop\\exampleFile_Write_Overwrite.txt");
	my_Txt_File_Write_Overwrite<< "Writing this to a file.\n";
	my_Txt_File_Write_Overwrite<< "Hello, how are you?"<< endl;
	my_Txt_File_Write_Overwrite<< "London is the Capital of the UK";
	my_Txt_File_Write_Overwrite<< "Washington DC is the Capital of the USA";
	my_Txt_File_Write_Overwrite.close();

	// ALL The previous text gets overwritten when the file is opened
	//	again
	my_Txt_File_Write_Overwrite.open("C:\\Users\\YourName\\Desktop\\exampleFile_Write_Overwrite.txt");
	my_Txt_File_Write_Overwrite
		<< "Bonjour, comment allez vous?" << endl;
	my_Txt_File_Write_Overwrite
		<< "Paris, c'est la Capital de France"<< endl;
	my_Txt_File_Write_Overwrite.close();

	//
	cout	<< endl<< endl<< "===========" 
		<< endl 
		<< "END...C++ Demo: Write text data to a text file, with "
		<< "specified path, then OVERWRITE"
		<< " " 
		<< endl;
	while(true){}
	return 0;

}//END...Function MAIN

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************


