/*	******************************************************************
	C++ FUNCTION TEMPLATES
	******************************************************************
*/

#include <iostream>
using namespace std;

#include "find_LargerOfTwo.h"

int main()
{
	//
	int myInt_A = 5, myInt_B = 8, myInt_Bigger_A_B = 0;

	double myDbl_A = 3.7, myDbl_B = 7.4, myDbl_Bigger_A_B = 0.0;
	
	signed int	mySignedInt_A = -5, mySignedInt_B = 7, 
				mySignedInt_Bigger_A_B = 0;
	
	char myChr_A = 'p', myChr_B = 'r', myChr_Bigger_A_B = ' ';
	
	int myInt_Bigger_12_14 = 0;
	
	//
	//	"Calling" our Function Template
	//
	myInt_Bigger_A_B = find_LargerOfTwo<int>( myInt_A, myInt_B );

	myDbl_Bigger_A_B = find_LargerOfTwo<double>( myDbl_A, myDbl_B );

	mySignedInt_Bigger_A_B = 
		find_LargerOfTwo<signed int>( mySignedInt_A, mySignedInt_B );

	myChr_Bigger_A_B = find_LargerOfTwo<char>( myChr_A, myChr_B );

	//
	cout << "The larger of " << myInt_A 
		 << " and " << myInt_B 
		 << " is " << myInt_Bigger_A_B 
		 << endl;
	
	cout << "The larger of " << myDbl_A 
		 << " and " << myDbl_B 
		 << " is " << myDbl_Bigger_A_B 
		 << endl;

	cout << "The larger of " << mySignedInt_A 
		 << " and " << mySignedInt_B 
		 << " is " << mySignedInt_Bigger_A_B 
		 << endl;

	cout << "The larger of " << myChr_A 
		 << " and " << myChr_B 
		 << " is " << myChr_Bigger_A_B 
		 << endl;

	cout << "The larger of " << 12 
		 << " and " << 14 
		 << " is " << find_LargerOfTwo<int>( 12, 14 ) 
		 << endl;

	//
	cout << endl << "==================="
		 << endl << "END...C++ Generics: Function Templates" << endl;
	while(true){}
	return 0;

}//END...Function main

//**************************************************************************
//	This software code is from the book Cybernetics in C++
//	by Avi Bhattacharyya,
//	Published by River Publishers
//	All Rights Reserved.
//
//	(C) Copyright River Publishers (2018 onwards)
//
//	-	Permission to use, copy, distribute and sell this software,
//		in whole or in part, is granted on condition this Copyright
//		Statement is included in all copies where any part is
//		present
//	-	The software is provided AS-IS - no recommendations are
//		made for its suitability for any purpose
//	-	No Warranties are given explicitly or implied
//	-	No responsibility is accepted for results obtained following
//		its usage in any way whatsoever
//**************************************************************************
 
